Spinrun Docs
REST APIRuns

Read a workflow run projection

Read a workflow run projection — Spinrun Build REST API operation.

GET/api/build/workflow-runs/{runId}

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth access token whose grant carries Build authorization.

In: header

Path Parameters

runId*string

Run id (UUID).

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/build/workflow-runs/string"
{  "data": {    "id": "string",    "workflow_id": "string",    "workflow_version_id": "string",    "status": "string",    "source": "string",    "current_step": "string",    "step_results": null,    "input": null,    "started_at": "string",    "finished_at": "string",    "error": "string",    "started_by": "string",    "warning": "string"  }}